<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="Teste" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6594b356-8707-45d2-8561-80bdb3627ab4" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[VirtualDevicePath@/Users/tiagoaguiar/.android/avd/Pixel_2_API_30.avd]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="valueResourceFile" />
        <option value="Kotlin Class" />
        <option value="resourceFile" />
        <option value="layoutResourceFile" />
      </list>
    </option>
  </component>
  <component name="KotlinMultiplatform">
    <allAvailableExecutables />
  </component>
  <component name="ProjectId" id="1uikmyofaZvhflnazyyIwWW3srq" />
  <component name="ProjectViewState">
    <option name="autoscrollFromSource" value="true" />
    <option name="autoscrollToSource" value="true" />
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="VirtualDevicePath@/Users/tiagoaguiar/.android/avd/Pixel_2_API_30.avd" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2021-08-06T23:25:36.720623Z" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/androidx.coordinatorlayout/coordinatorlayout/1.1.0/a15529ac349d76a872ae5ef42b84c320c456cd7f/coordinatorlayout-1.1.0-sources.jar!/androidx/coordinatorlayout/widget/CoordinatorLayout.java_SELECTED" value="CoordinatorLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/com.google.android.material/material/1.3.0/b42a5159ef2c670d26ce08246ec5aaf8f92e5a42/material-1.3.0-sources.jar!/com/google/android/material/appbar/AppBarLayout.java_SELECTED" value="AppBarLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/view/View.java_SELECTED" value="View" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/view/ViewGroup.java_SELECTED" value="ViewGroup" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/Button.java_SELECTED" value="Button" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/FrameLayout.java_SELECTED" value="FrameLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/TextView.java_SELECTED" value="TextView" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-005/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-006/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-010/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-2-01/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android.sdk.path" value="$USER_HOME$/Library/Android/sdk" />
    <property name="full.screen.before.presentation.mode" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/app/src/main/res/layout" />
    <property name="project.structure.last.edited" value="SDK Location" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="MoveKotlinTopLevelDeclarationsDialog.RECENTS_KEY">
      <recent name="co.tiagoaguiar.course.instagram.register.view" />
      <recent name="co.tiagoaguiar.course.instagram.login.view" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/main/res/values" />
      <recent name="$PROJECT_DIR$/app/src/main/res/drawable" />
    </key>
    <key name="CopyKotlinDeclarationDialog.RECENTS_KEY">
      <recent name="co.tiagoaguiar.course.instagram.camera.view" />
      <recent name="co.tiagoaguiar.course.instagram.search.view" />
      <recent name="co.tiagoaguiar.course.instagram.home.view" />
      <recent name="co.tiagoaguiar.course.instagram.login.view" />
    </key>
    <key name="android.template.451516083">
      <recent name="co.tiagoaguiar.course.instagram.main.view" />
    </key>
    <key name="android.template.-629912689">
      <recent name="co.tiagoaguiar.course.instagram" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/main/res/layout" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="Instagram.app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="ALWAYS_INSTALL_WITH_PM" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <Java />
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="WindowStateProjectService">
    <state x="620" y="69" key="#com.intellij.ide.util.MemberChooser.inPresentationMode" timestamp="1628109998776">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="610" y="71" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1626269695754" />
    <state x="620" y="69" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628109998776" />
    <state x="597" y="228" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode" timestamp="1627672234898">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="587" y="237" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1625157271333" />
    <state x="597" y="228" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1627672234898" />
    <state x="100" y="125" width="1717" height="810" key="AVDManager.inPresentationMode" timestamp="1628007547796">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="100" y="127" width="1719" height="853" key="AVDManager.inPresentationMode/0.25.2518.1055@0.25.2518.1055" timestamp="1625158086850" />
    <state x="100" y="125" width="1717" height="810" key="AVDManager.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628007547796" />
    <state x="728" y="281" key="AndroidCreateResourceFileDialog.inPresentationMode" timestamp="1628188431122">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="716" y="292" key="AndroidCreateResourceFileDialog.inPresentationMode/0.25.2518.1055@0.25.2518.1055" timestamp="1625159996020" />
    <state x="728" y="281" key="AndroidCreateResourceFileDialog.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628188431122" />
    <state x="889" y="229" key="AndroidCreateXmlResourceDialog.inPresentationMode" timestamp="1625160646175">
      <screen x="0" y="25" width="2518" height="1055" />
    </state>
    <state x="889" y="229" key="AndroidCreateXmlResourceDialog.inPresentationMode/0.25.2518.1055@0.25.2518.1055" timestamp="1625160646175" />
    <state width="1917" height="211" key="GridCell.Tab.0.bottom.inPresentationMode" timestamp="1627929931565">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state width="1917" height="211" key="GridCell.Tab.0.bottom.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1627929931565" />
    <state width="1917" height="211" key="GridCell.Tab.0.center.inPresentationMode" timestamp="1627929931565">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state width="1917" height="211" key="GridCell.Tab.0.center.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1627929931565" />
    <state width="1917" height="211" key="GridCell.Tab.0.left.inPresentationMode" timestamp="1627929931564">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state width="1917" height="211" key="GridCell.Tab.0.left.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1627929931564" />
    <state width="1917" height="211" key="GridCell.Tab.0.right.inPresentationMode" timestamp="1627929931565">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state width="1917" height="211" key="GridCell.Tab.0.right.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1627929931565" />
    <state x="780" y="181" key="SettingsEditor" timestamp="1627927097904">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="767" y="188" key="SettingsEditor/0.25.2517.1055@0.25.2517.1055" timestamp="1625156045795" />
    <state x="780" y="181" key="SettingsEditor/0.25.2560.1010@0.25.2560.1010" timestamp="1627927097904" />
    <state width="500" height="445" key="SwitcherDM" timestamp="1625156005293">
      <screen x="0" y="25" width="2517" height="1055" />
    </state>
    <state width="685" height="851" key="SwitcherDM.inPresentationMode" timestamp="1628293652170">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state width="673" height="815" key="SwitcherDM.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1626269736135" />
    <state width="673" height="815" key="SwitcherDM.inPresentationMode/0.25.2518.1055@0.25.2518.1055" timestamp="1626270153353" />
    <state width="685" height="851" key="SwitcherDM.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628293652170" />
    <state width="500" height="445" key="SwitcherDM/0.25.2517.1055@0.25.2517.1055" timestamp="1625156005293" />
    <state x="939" y="249" width="682" height="648" key="search.everywhere.popup" timestamp="1628292243991">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="379" y="25" width="1194" height="1888" key="search.everywhere.popup.inPresentationMode" timestamp="1628293654567">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="373" y="25" width="1173" height="1972" key="search.everywhere.popup.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1626269245913" />
    <state x="373" y="25" width="1174" height="1972" key="search.everywhere.popup.inPresentationMode/0.25.2518.1055@0.25.2518.1055" timestamp="1625158791942" />
    <state x="379" y="25" width="1194" height="1888" key="search.everywhere.popup.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628293654567" />
    <state x="923" y="259" width="670" height="676" key="search.everywhere.popup/0.25.2517.1055@0.25.2517.1055" timestamp="1626269238641" />
    <state x="923" y="259" width="671" height="676" key="search.everywhere.popup/0.25.2518.1055@0.25.2518.1055" timestamp="1625262759335" />
    <state x="939" y="249" width="682" height="648" key="search.everywhere.popup/0.25.2560.1010@0.25.2560.1010" timestamp="1628292243991" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="app">
        <watch expression="getChildAt(1)" language="kotlin" />
      </configuration>
    </watches-manager>
  </component>
</project>